> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdconnect_dbi.md).

# Dataset$connect\_dbi

### **Dataset$**<mark style="color:purple;">**connect\_dbi**</mark>**()** → [DBI::DBIConnection](https://dbi.r-dbi.org/reference/DBIConnection-class.html)

Returns a DBI connection that can be used by dbplyr and other interfaces that work with DBI. This connection is scoped to the respective dataset, avoiding the need to fully qualify tables.

`DBI::dbListTables()` returns the tables in the dataset, using the names that you'd use to reference them in SQL (e.g., `daily_observations`).

See [redivis$connect\_dbi()](/api/client-libraries/redivis-r/reference/redivis/redivisusdconnect_dbi.md#supported-dplyr-functions) for the R functions that can be used within dplyr verbs.

{% hint style="info" %}
For advanced use cases, you can also access the Redivis DBI interface at `redivis::RedivisDBI`. `dataset$connect_dbi()` is the same as calling: `DBI::dbConnect(redivis::RedivisDBI(), dataset=dataset)`
{% endhint %}

### **Returns:**

[**DBI::DBIConnection**](https://dbi.r-dbi.org/reference/DBIConnection-class.html)

### Examples

```r
con <- redivis$dataset("demo.ghcn_daily_weather_data")$connect_dbi()

tbl(con, "stations") |> filter(latitude > 0) |> collect()

# Prints a tibble with the relevant weather stations
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdconnect_dbi.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
